unit StopForm;
{ *************************************************
  *            FormRgn library 02.08.99           *
  *           written by Grigoriev Anton          *
  *                                               *
  *                Nag-screen unit                *
  ************************************************* }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TFormStop = class(TForm)
    Button1: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
   private
    procedure WMNCHitTest(var Msg:TWMNCHitTest);message WM_NCHitTest;
  public
    { Public declarations }
  end;

var
  FormStop: TFormStop;

implementation

{$R *.DFM}

procedure TFormStop.WMNCHitTest;
 begin
  inherited;
  if Msg.Result=HTClient then
   Msg.Result:=HTCaption
 end;

procedure TFormStop.Button1Click(Sender: TObject);
 begin
  ModalResult:=mrOK
 end;

procedure TFormStop.FormCreate(Sender: TObject);
 var C:array[0..7] of TPoint;
     I:Integer;
     Rgn:HRgn;
  begin
   for I:=0 to 7 do
    begin
     C[I].X:=Round(150*Cos(Pi*(7/8-I/4))+139);
     C[I].Y:=Round(150*Sin(Pi*(7/8-I/4))+139)
    end;
   Rgn:=CreatePolygonRgn(C,8,Alternate);
   SetWindowRgn(Handle,Rgn,False)
  end;

end.
